<?php

namespace FiloBlu\ExtMagentoWidget\Plugin\Magento\Framework\View\Element;

class AbstractBlock {

    protected $_customerSession;
    protected $_currentCustomerGroupId = 0;

    /**
     * @param \Magento\Framework\Model\ResourceModel\Db\Context $context
     * @param \Magento\Framework\Cache\FrontendInterface $cache
     * @param string $connectionName
     */
    public function __construct(
    \Magento\Customer\Model\Session $customerSession
    ) {
        $this->_customerSession = $customerSession;
    }

    public function afterToHtml(\Magento\Framework\View\Element\AbstractBlock $subject, $result) {
        if ($arrayCustomerGroup = $subject->getWidgetDisplayCustomerGroup()) {

            $arrayCustomerGroup = explode(",", $arrayCustomerGroup);
            $_currentCustomerGroupId = 0;
            if ($this->_customerSession->isLoggedIn()) {
                $_currentCustomerGroupId = $this->_customerSession->getCustomer()->getGroupId();
            }
            if (in_array($_currentCustomerGroupId, $arrayCustomerGroup)) {
                return $result;
            } else {
                return "";
            }
        } else {
            return $result;
        }
    }

}
